import React__default from 'react';
import { t } from '../../utils/i18n.js';
import { Box } from '../Layout/Box/Box.js';
import { Stack } from '../Layout/Stack/Stack.js';
import { Text } from '../Text/Text.js';
import { GrotNotFound } from './GrotNotFound/GrotNotFound.js';

const EmptyState = ({
  button,
  children,
  image = /* @__PURE__ */ React__default.createElement(GrotNotFound, { width: 300 }),
  message = t("grafana-ui.empty-state.not-found-message", "No results found"),
  hideImage = false
}) => {
  return /* @__PURE__ */ React__default.createElement(Box, { paddingY: 4, gap: 4, display: "flex", direction: "column", alignItems: "center" }, !hideImage && image, /* @__PURE__ */ React__default.createElement(Stack, { direction: "column", alignItems: "center" }, /* @__PURE__ */ React__default.createElement(Text, { variant: "h4" }, message), children && /* @__PURE__ */ React__default.createElement(Text, { color: "secondary" }, children)), button);
};

export { EmptyState };
//# sourceMappingURL=EmptyState.js.map
